// En n-sidet terning.
public class NSidetTerning
{
	// hvor mange sider har terningen (normalt 6)
	private int sider;

	// den side der vender opad lige nu
	private int vrdi;

	// konstruktr opretter normal terning med 6 sider
	public NSidetTerning ()
	{
		sider = 6;
		kast(); // st vrdi til noget
	}

	// opretter terning med et vist antal sider
	public NSidetTerning (int antalSider)
	{
		if (antalSider >= 3) sider = antalSider;
		else sider = 6;
		kast();
	}

	// metode der kaster terningen
	public void kast ()
	{
		// find en tilfldig side
		double tilfldigtTal = Math.random();
		vrdi = (int) (tilfldigtTal * sider + 1);
	}

	// giver antallet af jne p siden der vender opad
	public int hentVrdi ()
	{
		return vrdi;
	}

	// stter antallet af jne der vender opad
	public void stVrdi (int nyVrdi)
	{
		if (nyVrdi > 0 && nyVrdi <= sider) vrdi = nyVrdi;
		else System.out.println("Ugyldig vrdi");
	}

	// giver en strengreprsentation af terningen
	// hvis den ikke har 6 sider udskrives ogs antal af sider
	public String toString ()
	{
		String svar = ""+vrdi;  // vrdi som streng, f.eks. "4"
		if (sider!= 6) svar= svar+"("+sider+"s)";
		return svar;
	}
}
