import java.util.*;
import java.awt.*;
import java.applet.*;

public class Kurvetegning extends Applet 
{
	Vector punkter; // objektvariabel kendt i bde init() og paint()

	public void init()  // Forbered punkterne
	{
		punkter = new Vector();
		int br = getWidth();  // applettens bredde
		int h = getHeight(); // applettens hjde

		for (int i=0; i<br; i++)
		{
			double y = 0.5*h - 0.4*h*Math.sin((double) i*20 / br);
			punkter.addElement(new Point(i, (int) y ));
		}
	}

	public void paint(Graphics g) // tegn punkterne
	{
		for (int i=0; i<punkter.size(); i=i+1)
		{
			Point p = (Point) punkter.elementAt(i);
			g.drawRect(p.x, p.y, 5, 5);
		}
	}
}
